# 分析game_xxx补充项目引用的npm库

## 引用的npm库规则说明

- 分析文件为项目中所有.ts和.vue文件
- 只需补充以pi_*或game_*开头的库
- 无特殊版本说明时,项目引用的npm库版本号都使用通配符*
- 根据分析结果完善package.json中dependencies引用配置
- 根据分析结果完善tsconfig.json中paths配置

## 示例

```ts
import { getData } from '../base';
import { Widget } from "pi_gui/widget/direct";
import { i18n } from "game_translate/interpolate";
```

上述代码中引用了 pi_gui和game_translate


## tsconfig.json中paths配置示例如下

```ts
"paths": {
    "pi_gui/*": [
        "node_modules/pi_gui/src/*"
    ]
}
```
