# 分析《程序设计书_XXXX.md》的功能页面和后端数据结构按规则生成文件

    1. xxx表示功能名
    2. 每个页面单独一个ts文件
    3. 生成的ts文件都放置在game_xxx_client/src/client/ts/目录下
    4. 生成的ts文件命名按照 小写 + "_" 格式
    3. 获取后端数据接口的rpc方法在game_xxx_client/src/client/api.ts
    4. 无需补全生成文件中的引用等
    

## 获取页面数据代码示例

```ts
import { AsyncReturnType } from '../base';
import { Widget } from "pi_gui/widget/direct";
import { i18n } from "game_translate/interpolate";

@i18n
export default class VueMain implements Widget {

    $t: Function;

    showData: AsyncReturnType<typeof this.initData>

    create() {
        this.initData();
    }

    initData = async () => {
        // TODO
        return {
            //组装页面数据
        }
    }
}
```
说明:
- 如果组装数据需要读取配置表,配置表的读取方式可参考(读取配置表示例)
- 页面数量及各页面所需的数据结构根据策划案需求确定
- 配置表中的数据结构参考xxx配置.md

## 读取配置表示例

```ts
import { getCfg, getAllCfg } from "pi_common_tools/util/db_tool";
// 读xls配置表操作
let cfg = getCfg(XxxCfg, 配置表id) as XxxCfg;
// 读多xls配置表操作
let cfgMap = getAllCfg(XxxCfg) as Map<number, XxxCfg>;
```